package repository

import (
	"context"
	"database/sql"

	"git.gocasts.ir/ebhomengo/niki/domain/payment/entity"
)

type PaymentMethodRepository struct {
	DB *sql.DB
}

// GetGatewayByCode implements [service.PaymentMethodRepo].
func (p *PaymentMethodRepository) GetGatewayByCode(ctx context.Context, code string) (entity.Gateway, error) {
	panic("unimplemented")
}

func NewPaymentMethodRepository(db *sql.DB) *PaymentMethodRepository {
	return &PaymentMethodRepository{
		DB: db,
	}
}
